package com.izouma.nineth.dto.adapay;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

public class MemberInfo {

    @JSONField(name = "member_id")
    private String memberId;

    @JSONField(name = "created_time")
    private String createdTime;

    @JSONField(name = "cert_type")
    private String certType;

    @JSONField(name = "gender")
    private String gender;

    @JSONField(name = "identified")
    private String identified;

    @JSONField(name = "tel_no")
    private String telNo;

    @JSONField(name = "prod_mode")
    private String prodMode;

    @JSONField(name = "nickname")
    private String nickname;

    @JSONField(name = "disabled")
    private String disabled;

    @JSONField(name = "location")
    private String location;

    @JSONField(name = "app_id")
    private String appId;

    @JSONField(name = "settle_accounts")
    private List<SettleAccountsItem> settleAccounts;

    @JSONField(name = "email")
    private String email;

    @JSONField(name = "object")
    private String object;

    @JSONField(name = "status")
    private String status;

    @JSONField(name = "error_type")
    private String errorType;

    @JSONField(name = "error_code")
    private String errorCode;

    @JSONField(name = "error_msg")
    private String errorMsg;

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCertType(String certType) {
        this.certType = certType;
    }

    public String getCertType() {
        return certType;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getGender() {
        return gender;
    }

    public void setIdentified(String identified) {
        this.identified = identified;
    }

    public String getIdentified() {
        return identified;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setProdMode(String prodMode) {
        this.prodMode = prodMode;
    }

    public String getProdMode() {
        return prodMode;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getNickname() {
        return nickname;
    }

    public void setDisabled(String disabled) {
        this.disabled = disabled;
    }

    public String getDisabled() {
        return disabled;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppId() {
        return appId;
    }

    public void setSettleAccounts(List<SettleAccountsItem> settleAccounts) {
        this.settleAccounts = settleAccounts;
    }

    public List<SettleAccountsItem> getSettleAccounts() {
        return settleAccounts;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getEmail() {
        return email;
    }

    public void setObject(String object) {
        this.object = object;
    }

    public String getObject() {
        return object;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public String getErrorType() {
        return errorType;
    }

    public void setErrorType(String errorType) {
        this.errorType = errorType;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}